| Home · API Reference · Modules

Public Member Functions | List of all members
AbstractPluginSetting Class Referenceabstract

`#include <abstractpluginsetting.h>`

Inheritance diagram for AbstractPluginSetting:
[legend]

## Public Member Functions

virtual QString | key () const=0
virtual QVariant | value () const=0
virtual QVariant | value (const QVariant &def) const=0
virtual void | set (const QVariant &val)=0
virtual void | unset ()=0
Q_SIGNAL void | valueChanged ()

## Detailed Description

A generic interface to access plugin configuration values.

## Member Function Documentation

## ◆ key()

virtual QString Maliit::Plugins::AbstractPluginSetting::key | ( |  | ) | const

pure virtual

Returns the key of this item, as given to MAbstractInputMethodHost::registerPluginSetting().

## ◆ set()

virtual void Maliit::Plugins::AbstractPluginSetting::set | ( | const QVariant & | val | ) |

pure virtual

Set the value of this item to val. If string val fails for any reason, the current value is not changed and nothing happens.

## ◆ unset()

virtual void Maliit::Plugins::AbstractPluginSetting::unset | ( |  | ) |

pure virtual

Unset this item. This is equivalent to

item.set(QVariant(QVariant::Invalid));

## ◆ value() [1/2]

virtual QVariant Maliit::Plugins::AbstractPluginSetting::value | ( |  | ) | const

pure virtual

Returns the current value of this item, as a QVariant.

## ◆ value() [2/2]

virtual QVariant Maliit::Plugins::AbstractPluginSetting::value | ( | const QVariant & | def | ) | const

pure virtual

Returns the current value of this item, as a QVariant. If there is no value for this item, return def instead.

## ◆ valueChanged()

Q_SIGNAL void Maliit::Plugins::AbstractPluginSetting::valueChanged | ( |  | ) |

Emitted when the value of this item has changed.

Copyright © 2011 Nokia Corporation |  | Maliit